# coding: utf-8
from provider import *

__author__ = 'mancuniancol'

# reading token
Browser.open(Settings.url)
if Browser.content is not None:
    dom = Html().feed(Browser.content)
    token = dom.find_once('input', ('name', '_token'))["value"]
    logger.log.debug(token)


def extract_torrents(html=None):
    if html is not None:
        dom = Html().feed(html)
        name_title = dom.find_once('title')().replace('YIFY - Download Movie TORRENT - YTS', '')
        movie = dom.find_once('div', ('id', 'movie-tech-specs'))

        name_list = []
        for item in movie.find_all('span', ('class', 'tech-quality')):
            name_list.append(name_title + item())

        magnet_list = []
        for item in dom.find_once('div', ('id', 'movie-info')).find_all('p'):
            for a in item.find_all('a'):
                magnet_list.append(a["href"])  # magnet

        size_list = []
        seeds_list = []
        cm = 0
        for item in movie.find_all('div', ('class', 'tech-spec-element')):
            cm += 1
            if cm % 8 == 1:
                size_list.append(item())
            if cm % 8 == 0:
                seeds_list.append(item().replace('P/S ', ''))

        for name, magnet, size, seed_peer in zip(name_list, magnet_list, size_list, seeds_list):
            seeds = 0
            peers = 0
            if '/' in seed_peer:
                temp = seed_peer.split('/')
                seeds = temp[0]
                peers = temp[1]
            print (name, "", magnet, size, seeds, peers)  # name, info_hash, magnet, size, seeds, peers
            yield (name, "", magnet, size, seeds, peers)  # name, info_hash, magnet, size, seeds, peers


def search(info):
    Filtering.use_general(info)
    return process(generator=extract_torrents)


def search_movie(info):
    Filtering.use_movie(info)
    return process(generator=extract_torrents)


def search_episode(info):
    return []


def search_season(info):
    return []


# This registers your module for use
register(search, search_movie, search_episode, search_season)
